/* eslint-disable react/prop-types */
import { Clock, Users } from "lucide-react";

export const RecipeDetailsCard = ({ recipe, onClick }) => (
  <div className="recipe-card" onClick={() => onClick(recipe)}>
    <img src={recipe?.image} alt={recipe?.title} className="recipe-image" />
    <div className="recipe-content">
      <h3 className="recipe-title">{recipe?.title}</h3>
      <div className="recipe-info">
        <div className="">
          <Clock />
          {recipe?.readyInMinutes || "N/A"} mins
        </div>
        <div className="">
          <Users />
          {recipe?.servings || (recipe?.readyInMinutes > 30 ? "6" : "2")}{" "}
          servings
        </div>
      </div>
    </div>
  </div>
);
